%global modname mccabe
%bcond_with test

Summary:            McCabe complexity checker
Name:               python-%{modname}
Version:            0.7.0
Release:            3%{?dist}
License:            MIT
URL:                http://pypi.python.org/pypi/mccabe
Source0:            https://files.pythonhosted.org/packages/source/m/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:          noarch

%description
Ned's script to check McCabe complexity.

This module provides a plugin for flake8, the Python code checker.

%package -n python%{python3_pkgversion}-%{modname}
Summary:            McCabe checker, plugin for flake8
BuildRequires:      python%{python3_pkgversion}-devel
BuildRequires:      python%{python3_pkgversion}-pytest
%if %{with test}
BuildRequires:      python%{python3_pkgversion}-hypothesmith
%endif

%description -n python%{python3_pkgversion}-%{modname}
Ned's script to check McCabe complexity.

This module provides a plugin for flake8, the Python code checker.


%prep
%autosetup -n %{modname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mccabe

%if %{with test}
%check
%pytest -v
%endif

%files -n python%{python3_pkgversion}-%{modname} -f %{pyproject_files}
%license LICENSE
%doc README.rst

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.0-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.0-2
- Rebuilt for loongarch release

* Tue Sep 26 2023 jackeyji <jackeyji@tencent.com> - 0.7.0-1
- upgrade to 0.7.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 29 2023 Shuo Wang <abushwang@tencent.com> - 0.6.1-1
- initial build
